package com.bonus.material.home.service;

import com.bonus.common.biz.domain.TypeInfo;
import com.bonus.common.biz.domain.vo.AreaVo;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.device.domain.vo.DevInfoVo;

import java.util.List;

/**
 * @author ma_sh
 */
public interface MaTypeInfoSevice {

    /**
     * 查询分类树
     * @return
     */
    public AjaxResult getMaTypeInfoList(TypeInfo typeInfo);

    /**
     * 首页搜索热搜装备
     * @param devInfoVo
     * @return
     */
    List<DevInfoVo> getHotSearch(DevInfoVo devInfoVo);

    /**
     * 装备共享页面之一级设备类型
     * @return
     */
    List<TypeInfo> getTypeList(TypeInfo typeInfo);

    /**
     * 租用需求大厅区域
     * @param areaVo
     * @return
     */
    List<AreaVo> getArea(AreaVo areaVo);

    List<TypeInfo> getToolTypeList(TypeInfo typeInfo);
}
